import request from '@/utils/request'

// 安全机制列表
export function listAccountLock(query) {
    return request({
        url: '/accountLock/list',
        method: 'get',
        params: query
    })
}



// 新增安全机制
export function addAccountLock(data) {
    return request({
        url: '/accountLock/',
        method: 'post',
        data: data
    })
}

// 修改安全机制
export function updateAccountLock(data) {
    return request({
        url: '/accountLock/',
        method: 'put',
        data: data
    })
}

// 删除安全机制
export function delAccountLock(id) {
    return request({
        url: '/accountLock/' + id,
        method: 'delete'
    })
}

// 修改账号为默认账号
export function enableAccountLock(id) {
    return request({
        url: '/accountLock/enable/' + id,
        method: 'put'
    })
}


